Note: This is a public test instance of Red Hat Bugzilla. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback at bugzilla.redhat.com.
Bug 1282082 - python-flask-debugtoolbar: Python 3 support
Summary: python-flask-debugtoolbar: Python 3 support
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: python-flask-debugtoolbar
Version: 24
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Yohan Graterol
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: PYTHON3 PY3PATCH-PUSH
TreeView+ depends on / blocked
 
Reported: 2015-11-14 20:14 UTC by Francesco Frassinelli (frafra)
Modified: 2023-09-14 03:13 UTC (History)
5 users (show)

Fixed In Version: python-flask-debugtoolbar-0.10.0-3.fc26
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-09-07 10:51:12 UTC
Type: Bug
Embargoed:


Attachments (Terms of Use)
Patch adding python 3 support (deleted)
2016-07-22 20:04 UTC, Athos Ribeiro
no flags Details | Diff
Patch adding python 3 support (deleted)
2016-07-26 16:30 UTC, Athos Ribeiro
no flags Details | Diff
Patch adding python 3 support (deleted)
2016-07-27 12:27 UTC, Athos Ribeiro
no flags Details | Diff

Description Francesco Frassinelli (frafra) 2015-11-14 20:14:31 UTC
Flask-DebugToolbar supports Python 3 since v0.9.0 (2014-01-03).

Latest upstream release: 0.10.0 (2015-04-17)
Current version/release in Fedora Rawhide: 0.9.2.

https://fedoraproject.org/wiki/Packaging:Python
https://fedoraproject.org/wiki/Changes/Python_3_as_Default

Comment 1 Jan Kurik 2016-02-24 13:57:18 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 24 development cycle.
Changing version to '24'.

More information and reason for this action is here:
https://fedoraproject.org/wiki/Fedora_Program_Management/HouseKeeping/Fedora24#Rawhide_Rebase

Comment 2 Petr Viktorin (pviktori) 2016-04-19 13:32:40 UTC
Yohan, do you need any help with adding Python 3 support?

Comment 3 Athos Ribeiro 2016-07-22 20:04:03 UTC
Created attachment 1182936 [details]
Patch adding python 3 support

Hello,

I prepared a patch to including subpackages for python 2 and 3 and also updated this package to the latest version.

Since this is my first python 3 porting attempt, it would be nice to review before applying.

I also changed the link where license and changelog files are retrieved from so we can have the ones for the correct version of the package.

Thanks

Comment 4 Athos Ribeiro 2016-07-22 20:09:22 UTC
Here is a COPR build: https://copr.fedorainfracloud.org/coprs/ribeiro/fedora/build/406450/

Comment 5 Athos Ribeiro 2016-07-26 16:30:43 UTC
Created attachment 1184327 [details]
Patch adding python 3 support

There were a few mistakes in the former patch: subpackages were named python-Flask* instead of python-flask*

Here is an updated patch and a copr build.

New COPR build: https://copr.fedorainfracloud.org/coprs/ribeiro/fedora/build/422739/

Comment 6 Lumír Balhar 2016-07-27 09:59:45 UTC
Hello.

Your patch looks good to me, but I have two suggestions:

- Could you use a global variable for 'flask-debugtoolbar', which is in specfile many times? (name, url, subpackages name ...)
- It's better to use %license macro for license files

What do you think about it?

Comment 7 Athos Ribeiro 2016-07-27 12:27:57 UTC
Created attachment 1184638 [details]
Patch adding python 3 support

(In reply to Lumír Balhar from comment #6)
> Hello.
> 
> Your patch looks good to me, but I have two suggestions:
> 
> - Could you use a global variable for 'flask-debugtoolbar', which is in
> specfile many times? (name, url, subpackages name ...)
> - It's better to use %license macro for license files
> 
> What do you think about it?

I agree. I kept changes in the package not related to the python 3 porting to a minimum. Shouldn't it also require or at least recommend python-flask?

Here is another patch with the proposed suggestions

Comment 8 Lumír Balhar 2016-07-28 11:43:56 UTC
Thank you for your update. Patch is now ok and it can be pushed. There was no Require for python-flask so we can stay in this state. Also, the maintainer can add some Requires later.

Comment 9 Lumír Balhar 2016-07-28 11:45:00 UTC
Koji scratch build: https://koji.fedoraproject.org/koji/taskinfo?taskID=15047843

Comment 10 Miro Hrončok 2016-08-16 10:47:14 UTC
Yohan,
do you mind if I push this? If you don't reply in a week, I assume it's OK.

Comment 11 Red Hat Bugzilla 2023-09-14 03:13:01 UTC
The needinfo request[s] on this closed bug have been removed as they have been unresolved for 1000 days


Note You need to log in before you can comment on or make changes to this bug.